﻿Module Module1
    '// This routine is used to control the analog input channel of the data acquisition card for single-channel single-point acquisition, getting the data of one point each time.
    '// The applicable models for this routine are:
    '// PCI-225x
    '// PCI-3xxx
    '// PCI-5xxx

    Sub Main()

        Dim DevIndex As Integer = 0
        Dim rst As Integer
        Dim AiValue As Single

        '// Open the device
        rst = OpenDevice(DevIndex)
        If (rst < 0) Then Return

        '// Set the Ai acquisition mode to single-point acquisition
        rst = SetAiSampleMode(DevIndex, 0)
        If (rst < 0) Then Return

        '// Set the Ai range to 1.
        '// For the PCI-225x/5000 series, the last parameter 0 in the function is meaningless.
        '// For the PCI-3000 series, here it specifies to set the range of channel 0.
        rst = SetAiRange(DevIndex, 1, 0)
        If (rst < 0) Then Return

        '// Set the wiring mode of Ai to RSE
        rst = SetAiConnectType(DevIndex, 0)
        If (rst < 0) Then Return

        '// Read the result of single-point acquisition of the analog input.
        '// Here, channel 0 is read.
        rst = GetAiOnePoint(DevIndex, 0, AiValue)
        If (rst < 0) Then Return

        Console.WriteLine("AiValue = {0}", AiValue)

        '// Close the device
        rst = CloseDevice(DevIndex)
        If (rst < 0) Then Return

        Console.WriteLine("Press any key to quit.")
        Console.ReadKey()

    End Sub

End Module