﻿Module Module1
    ' This routine is used to control the single-point reading of the digital input of the data acquisition card.
    ' The applicable models for this routine are:
    ' PCI-1132
    ' PCI-1316
    ' PCI-225x
    ' PCI-3xxx
    ' PCI-5xxx

    Sub Main()

        Dim rst As Integer
        Dim DevIndex As Integer = 0
        Dim DiValue As UInteger

        ' Open the device
        rst = OpenDevice(DevIndex)
        If (rst < 0) Then Return

        ' Set the digital I/O direction
        ' Since the digital I/O of PCI-225x/3000/5000 can be set as input or output,
        ' here all are set as input.
        ' For models whose digital I/O does not support setting, this step can be skipped.
        rst = SetDioDir(DevIndex, &HFFFFFFFF)
        If (rst < 0) Then Return

        ' Set the Di sensitivity
        rst = SetDiSensitivity(DevIndex, 20000)
        If (rst < 0) Then Return

        ' Read the Di status
        rst = GetDiStatus(DevIndex, 0, DiValue)
        If (rst < 0) Then Return

        ' Close the device
        rst = CloseDevice(DevIndex)
        If (rst < 0) Then Return

        Console.WriteLine("GetDiStatus Success. DiValue = 0x{0:X}", DiValue)
        Console.WriteLine("Press any key to quit.")
        Console.ReadKey()

    End Sub
End Module