﻿Module Module1
    ' This routine sets the default direction of the digital I/O channels and the default power-on values of Do when powered on.
    ' The applicable models for this routine are:
    ' PCI-1232
    ' PCI-1316
    ' PCI-225x
    ' PCI-3xxx
    ' PCI-5xxx

    Sub Main()
        Dim rst As Integer
        Dim DevIndex As Integer = 0

        ' Open the device
        rst = OpenDevice(DevIndex)
        If (rst < 0) Then Return

        ' Set the default power-on direction of the digital I/O
        ' Each bit of the parameter corresponds to a digital I/O
        ' Here, all are set as output.
        rst = SetDioDirDefault(DevIndex, &H0)
        If (rst < 0) Then Return

        ' Set the default power-on values of Do
        ' Each bit of the parameter corresponds to a Do
        ' Here, all are set to 0.
        rst = SetDoPowerOnValue(DevIndex, &H0)
        If (rst < 0) Then Return

        Console.WriteLine("Success.")

        ' Close the device
        rst = CloseDevice(DevIndex)
        If (rst < 0) Then Return

        Console.WriteLine("Press any key to quit.")
        Console.ReadKey()

    End Sub
End Module