﻿Module Module1
    ' This routine makes a single setting of the status of the digital output channels of the data acquisition card.
    ' The applicable models for this routine are:
    ' PCI-1232
    ' PCI-1316
    ' PCI-225x
    ' PCI-3xxx

    Sub Main()

        Dim rst As Integer
        Dim DevIndex As Integer = 0

        ' Open the device
        rst = OpenDevice(DevIndex)
        If (rst < 0) Then Return

        ' Set the digital I/O direction
        ' Here, all digital I/O channels are set as output.
        ' Since the digital I/O of PCI-225x/3000/5000 can be set as input or output,
        ' here all are set as input. (There is an inconsistent comment here as the code sets to output actually.)
        ' For models whose digital I/O does not support setting, this step can be skipped.
        rst = SetDioDir(DevIndex, &H0)
        If (rst < 0) Then Return

        ' Set the Do output status
        ' Here, all Do channels are set to output a high level.
        rst = SetDoValue(DevIndex, &HFFFFFFFF)
        If (rst < 0) Then Return

        Console.WriteLine("Success.")

        ' Close the device
        rst = CloseDevice(DevIndex)

        Console.WriteLine("Press any key to quit.")
        Console.ReadKey()

    End Sub
End Module